CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

CCfits::FITSUtil::MatchNum< T > Class Template Reference

predicate for classes that have an index attribute; match input index with instance value. More...

`#include <FITSUtil.h>`

List of all members.

## Detailed Description

### template<class T>
class CCfits::FITSUtil::MatchNum< T >

predicate for classes that have an index attribute; match input index with instance value.

Usage: MatchName<IndexedClass> Ex;

list<NamedClass> ListObject;

... ...

find_if(ListObject.begin(),ListObject().end(),bind2nd(Ex,5));

Since most of the classes within CCfits are implemented with std::maps rather than lists, these functions are now of little direct use.

The documentation for this class was generated from the following file:

- FITSUtil.h